/**
 * file: css/css.css
 * purpose: styling
 **/

/* Define variables in the :root */
 :root {
/* Farvepalet: Berta Bageri */
   --beige: #fbf7d0;
   --orange: #e79446;
   --blaa: #062287;
   --groen: #2a5038;
 }

* {
  margin: 0;
  padding: 0;
   box-sizing: border-box;
}

 /*B baggrund */
body {
  background-color: var(--blaa);
}

footer {
  background-color: var(--groen);
}

h2 {
  color: var(--beige);
  font-family: 'Times New Roman', Times, serif;
  font-style: italic;
  font-size: xx-large;
  text-align: left;
}

h3 {
  color: var(--beige);
  font-family: 'Times New Roman', Times, serif;
  font-style: italic;
}

p {
  color: var(--beige);
  font-family: 'Times New Roman', Times, serif;
  font-style: italic;
  font-size: x-large;
  text-align: center;
}

/* Use your variables on elements
img {
  width: 200px;
  height: auto;
}
*/

.main-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--beige);
  padding: 20px 60px;
  width: 100%;
  position: fixed;
}

.logo img {
  width: 60px;
}
 
.main-nav ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 60px; /* mellemrum mellem nav tasterne*/
}

.main-nav ul li a {
  text-decoration: none;
  color: var(--blaa);
  font-size: 25px;
  font-weight: lighter;
  font-style: italic; 
}

.main-nav ul li a:hover {
  text-decoration: underline;
}

.main-nav ul li a.active {
  text-decoration: underline;
}

.cart {
  position: relative;
}

.cart img {
  width: 30px;
}

.cart span {
  position: absolute;
  top: -10px;
  left: -10px;
  background-color: var(--blaa);
  color: white;
  border-radius: 50%;
  padding: 2.5px 5px;
  font-size: 10px;
}

.webshopmain {
  display: flex;
  justify-content: space-evenly;
}

/*sidemenu*/
.sidebar {
  padding: 80px;
  margin-top: 10%;
}

.sidebar ul {
  list-style: none; /*fjener punktprikker*/
}

.sidebar ul li {
  margin-bottom: 20px; /* mellemrum mellem hvert menupunkt */
}

.sidebar ul li a {
  text-decoration: none;
  color: var(--orange); 
  font-size: 24px; 
  font-weight: lighter; /*tykkelse på skrift*/ 
  display: flex;
}

.sidebar ul li a.active {
  text-decoration: underline; /* understregning for aktiv side */
}

.sidebar ul li a:hover {
  color: var(--orange);
  text-decoration: underline;
}

/*menu/billeder*/
.product-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 kolonner */
  gap: 30px; /* mellemrum mellem hver madboks */
  padding: 20px;
  background-color: var(--blaa);
  margin-top: 9%;
}

.product-item {
  border-radius: 10px;
  text-align: center;
  box-shadow: var(--blaa);
}

.product-item img {
  width: 55%;
  height: auto;
  border-radius: 10px;
  margin-bottom: 5px;
}

.product-item h3 {
  color: #ffffff;
  font-size: 23px;
  margin-bottom: 10px;
}

.product-item p {
  color: #ffffff; /*pris*/
  font-size: 17px;
  margin-bottom: 5px;
}

.product-item button {
  background-color: #ffffff; 
  color:#000000;
  padding: 2px 1px;
  border: none;
  border-radius: 5px;
  margin-bottom: 5px;
}

.product-item button:hover {
  background-color: var(--beige);
}

.product-item article {
  color: #ffffff; 
  font-size: 12px;
}

.product-item article:hover {
  text-decoration: underline; 
}

.eco-logo{
  position: fixed;
  bottom: 20px;
  left: 20px;
  width: 90px;
}

.baggrundsbilleder img {
  width: 100%;
  height: 800px;
}

#vision {
  display: flex;
  justify-content: space-evenly;
  background-color: var(--orange);
  width: 100%;
  height: 650px;
  padding-left: 6%;
  padding-top: 4%;
  padding-bottom: 2%;
  /*padding: 25px 25px 25px 25px;*/
}

#visionbillede img{
  border-radius: 10px;
  }

#historie {
  display: flex;
  justify-content: space-evenly;
  background-color: var(--blaa);
  width: 100%;
  height: 650px;
  padding-right: 6%;
  padding-top: 4%;
  padding-bottom: 2%;
}

#historiebilleder img{
border-radius: 10px;
}

footer {
  display: flex;
  justify-content: space-evenly;
  width: 100%;
  height: 300px;
}

/* unvisited link */
a:link {
  color: var(--beige);
  font-family: 'Times New Roman', Times, serif;
  font-size: x-large;
  font-style: italic;
  font-weight: 500;
  text-decoration: none;
}

/* visited link */
a:visited {
  color: var(--beige);
  text-decoration: none;
}

/* mouse over link */
a:hover {
  color: var(--beige);
  text-decoration: underline;
}

/* selected link */
a:active {
  color: var(--beige);
  text-decoration: underline;
}
